Home

# Class goog.dom.browserrange.GeckoRange

The constructor for Gecko specific browser ranges.

extends goog.dom.browserrange.W3cRange

Instance Method Summary
| `selectInternal(?Selection selection, <Any Type> reverse)` Select this range.

Static Method Summary
| `createFromNodeContents(?Node node) ⇒ ?goog.dom.browserrange.GeckoRange` Creates a range object that selects the given node's text.
| `createFromNodes(?Node startNode, number startOffset, ?Node endNode, number endOffset) ⇒ ?goog.dom.browserrange.GeckoRange` Creates a range object that selects between the given nodes.